%define pkg_name        Class-WhiteHole
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 4.n0i.9

Summary:       Treat unhandled method calls as errors
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Its possible to accidentally inherit an AUTOLOAD method. Often this will
happen if a class somewhere in the chain uses AutoLoader or defines one of
their own. This can lead to confusing error messages when method lookups fail.

Sometimes you want to avoid this accidental inheritance.  In that
case, inherit from Class::WhiteHole.  All unhandled methods will
produce normal Perl error messages.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-4.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.04-3.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.04-2.n0i.7
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.04-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.04-1.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.04-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.3
- automatic rebuild (perl v.5.8.3)

* Mon Jan 05 2004 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.2
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.1
- version 0.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
